Qt 5.11 | Qt 3D | QML Types | ShaderProgramBuilder QML Type

Qt 5.11.3 Reference Documentation

# ShaderProgramBuilder QML Type

Generates a Shader Program content from loaded graphs. More...

Import Statement: | import Qt3D.Render 2.0
Since: | Qt 5.10
Instantiates: | QShaderProgramBuilder

- List of all members, including inherited members

## Properties

- enabledLayers : stringlist
- shaderProgram : string

## Detailed Description

A shader program builder consists of several different shader graphs used to generate shader code.

## Property Documentation

enabledLayers : stringlist

Holds the list of layers this builder will activate on the shader graphs during code generation.

shaderProgram : string

Holds the shader program on which this builder generates code.